Bug 55417 - Red Hat documentation is out-of-date
Red Hat documentation is out-of-date
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 17:22 EST by Chris Ricker
Modified: 2014-03-16 22:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:19:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-10-30 17:22:36 EST
/usr/share/docs/initscripts-version/sysconfig.txt provides the only
low-level documentation for how Red Hat Linux works; nowhere else are all
the files under /etc/sysconfig defined and discussed....  Unfortunately,
this documentation is somewhat out-of-date.  It doesn't mention (hopefully
accurate list; I'm eyeballing this, so there might be an error or two):

apmd and apm-scripts/apmscript
arpwatch
cbq and cbq/*
console
dhcpd
firewall
gpm
hwconf and kudzu
identd
irda
named
networking/*
network-scripts/ifcfg-range files
ntpd
radvd
rhn/*
samba
squid
syslog
tux
ups
vncservers
xinetd


All these system configuration files need to be documented in
sysconfig.txt.  In addition, some of the existing documentation in that
file is a little spotty.  For example, all that's offered for
/etc/sysconfig/routed is:

SILENT=yes|no
EXPORT_GATEWAY=yes|no

A couple of sentences explaining those two options is also needed....
Comment 1 Chris Ricker 2002-10-05 10:35:35 EDT
With RHL 8, it's still true that lots of files in /etc/sysconfig are not
documented in the initscripts docs....
Comment 4 Bill Nottingham 2005-09-29 15:19:52 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Realistically, initscripts can only document the sysconfig files it itself uses;
other documentation would have to be in the packages that provide the other files.

Note You need to log in before you can comment on or make changes to this bug.